/* COPYRIGHT Esri - https://js.arcgis.com/5.0/LICENSE.txt */
import "@arcgis/toolkit/type";
import { w as s, W as t } from "./series-types.js";
import { M as i } from "./common.js";
function a(e) {
  switch (e) {
    case t.BarSeries:
      return i.BarChart;
    case t.LineSeries:
      return i.LineChart;
    case t.ComboLineAndBarSeries:
      return i.ComboBarLineChart;
    case t.BoxPlotSeries:
      return i.BoxPlot;
    case t.PieSeries:
      return i.PieChart;
    case t.ScatterSeries:
      return i.Scatterplot;
    case t.HeatSeries:
      return i.HeatChart;
    case t.HistogramSeries:
      return i.Histogram;
    case t.GaugeSeries:
      return i.Gauge;
    case t.RadarSeries:
      return i.RadarChart;
    default:
      return;
  }
}
function p(e) {
  const r = s(e.series);
  return a(r);
}
function h(e, r) {
  const n = a(e?.chartType);
  return e !== void 0 && n === r;
}
function y(e) {
  return e !== void 0 && "config" in e;
}
function d(e) {
  return e?.chartType === t.BarSeries;
}
function T(e) {
  return e?.chartType === t.LineSeries;
}
function f(e) {
  return e?.chartType === t.ComboLineAndBarSeries;
}
function S(e) {
  const r = e?.chartType;
  return r === t.LineSeries || r === t.BarSeries || r === t.ComboLineAndBarSeries || r === t.RadarSeries;
}
function l(e) {
  return e?.chartType === t.PieSeries;
}
function M(e) {
  return e?.chartType === t.BoxPlotSeries;
}
function g(e) {
  return e?.chartType === t.ScatterSeries;
}
function C(e) {
  return e?.chartType === t.HistogramSeries;
}
function B(e) {
  return e?.chartType === t.HeatSeries;
}
function x(e) {
  return e?.chartType === t.GaugeSeries;
}
function L(e) {
  const r = [
    t.BarSeries,
    t.BoxPlotSeries,
    t.HistogramSeries,
    t.ScatterSeries,
    t.LineSeries,
    t.ComboLineAndBarSeries,
    t.HeatSeries
  ];
  return e !== void 0 && r.includes(e.chartType) && "getAxisTitleText" in e && typeof e.getAxisTitleText == "function";
}
function v(e) {
  return e !== void 0 && "setSeriesMarkerColor" in e;
}
function G(e) {
  return e !== void 0 && "getDataTooltipVisibility" in e;
}
function b(e) {
  return e !== void 0 && "getGuideVisibility" in e && typeof e.getGuideVisibility == "function";
}
function A(e) {
  return e !== void 0 && "addXAxisGuide" in e && typeof e.addXAxisGuide == "function";
}
function H(e) {
  return e !== void 0 && "addYAxisGuide" in e && typeof e.addYAxisGuide == "function";
}
function P(e) {
  return e !== void 0 && "legendVisibility" in e;
}
function W(e) {
  return e !== void 0 && "displayCategory" in e;
}
function m(e) {
  return e !== void 0 && "temporalBinningSize" in e;
}
function V(e, r) {
  const n = a(e?.chartType);
  return e !== void 0 && n === r;
}
export {
  d as a,
  T as b,
  f as c,
  S as d,
  l as e,
  M as f,
  g,
  C as h,
  y as i,
  B as j,
  x as k,
  L as l,
  v as m,
  G as n,
  b as o,
  A as p,
  H as q,
  P as r,
  W as s,
  m as t,
  V as u,
  p as v,
  h as w,
  a as x
};
